Orxonox: orxonox::TeamBaseMatchBase Class Reference

# orxonox::TeamBaseMatchBase Class Reference

`#include <src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.h>`

Inheritance diagram for orxonox::TeamBaseMatchBase:

List of all members.

## Public Member Functions

BaseState::Value | getState () const
void | setState (BaseState::Value state)
| TeamBaseMatchBase (BaseObject *creator)
virtual | ~TeamBaseMatchBase ()

## Protected Member Functions

void | changeTeamColour ()

## Protected Attributes

BaseState::Value | state_

## Constructor & Destructor Documentation

orxonox::TeamBaseMatchBase::TeamBaseMatchBase | ( | BaseObject * | creator | ) |

References orxonox::TeamBaseMatch::addBase(), orxonox::BaseObject::getGametype(), RegisterObject, orxonox::RadarViewable::setRadarObjectShape(), state_, orxonox::RadarViewable::Triangle, and orxonox::BaseState::Uncontrolled.

virtual orxonox::TeamBaseMatchBase::~TeamBaseMatchBase | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

void orxonox::TeamBaseMatchBase::changeTeamColour | ( |  | ) | `[protected]`

References Class, orxonox::MT_Type::ColourValue, orxonox::BaseState::ControlTeam1, orxonox::BaseState::ControlTeam2, orxonox::BaseObject::fireEvent(), orxonox::WorldEntity::getAttachedObjects(), orxonox::BaseObject::getGametype(), orxonox::TeamDeathmatch::getTeamColour(), orxonox::RadarViewable::setRadarObjectColour(), orxonox::TeamColourable::setTeamColour(), state_, and orxonox::BaseState::Uncontrolled.

BaseState::Value orxonox::TeamBaseMatchBase::getState | ( |  | ) | const`[inline]`

Referenced by orxonox::TeamBaseMatch::pawnsAreInTheSameTeam(), and orxonox::ArtificialController::sameTeam().

void orxonox::TeamBaseMatchBase::setState | ( | BaseState::Value | state | ) | `[inline]`

Referenced by orxonox::TeamBaseMatch::addBase(), and orxonox::TeamBaseMatch::allowPawnDeath().

## Member Data Documentation

BaseState::Value orxonox::TeamBaseMatchBase::state_`[protected]`

Reimplemented from orxonox::Synchronisable.

Referenced by changeTeamColour(), and TeamBaseMatchBase().

The documentation for this class was generated from the following files:

- src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.h
- src/orxonox/objects/worldentities/pawns/TeamBaseMatchBase.cc